> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get upload status of an upload ## OpenAPI ````json GET /v{version}/Content/Upload/{guid}/Status { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Content/Upload/{guid}/Status": { "get": { "tags": [ "Content" ], "summary": "Get upload status of an upload", "operationId": "Content_GetUploadStatus", "parameters": [ { "name": "guid", "in": "path", "description": "Unique ID of the upload", "required": true, "schema": { "type": "string", "format": "uuid" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.ContentUploadStatus" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Upload not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.ContentUploadStatus": { "type": "object", "properties": { "DisplayName": { "type": "string", "description": "Display name of the uploaded spot/media" }, "EntityId": { "type": "integer", "description": "Unique ID of the spot/media", "format": "int32" }, "ErrorMessage": { "type": "string", "description": "Error message of the upload" }, "FileName": { "type": "string", "description": "File name of the uploaded spot/media" }, "FileSize": { "type": "integer", "description": "Size of the uploaded spot/media file", "format": "int64" }, "Status": { "$ref": "#/components/schemas/V1.Enums.UploadStatus" }, "StreamPosition": { "type": "integer", "description": "Stream position of the uploaded spot/media", "format": "int64" } }, "description": "Status of spot/media upload" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Enums.UploadStatus": { "enum": [ "Uploading", "WaitingForImport", "Aborted", "Error", "Finished" ], "type": "string" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````